Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.TextFillSignObject Class Reference
Inheritance diagram for foxit.pdf.TextFillSignObject:

## Public Member Functions
| TextFillSignObject (FillSignObject fillsign_object)
| Constructor, with parent class object. More...
| TextFillSignObject ()
| Constructor.
TextFillSignObjectDataArray | GetTextDataArray ()
| Get text data array. More...
bool | IsCombFieldMode ()
| Check whether current mode is comb field mode or not. More...
Public Member Functions inherited from foxit.pdf.FillSignObject
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
| FillSignObject ()
| Constructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect ()
| Get rectangle, in PDF coordinate system. More...
FillSign.FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | Move (PointF point, float width, float height, Rotation rotation)
| Move current fill-sign object. More...

## Detailed Description

Class TextFillSignObject is derived from class FillSignObject , and is used to represent a text fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ TextFillSignObject()

foxit.pdf.TextFillSignObject.TextFillSignObject | ( | FillSignObject | fillsign_object | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ GetTextDataArray()

TextFillSignObjectDataArray foxit.pdf.TextFillSignObject.GetTextDataArray | ( |  | ) |
| inline

Get text data array.

Returns
  A text data array.

## ◆ IsCombFieldMode()

bool foxit.pdf.TextFillSignObject.IsCombFieldMode | ( |  | ) |
| inline

Check whether current mode is comb field mode or not.

Returns
  true means current mode is comb field mode, while false means current mode is normal mode.